VTK: vtkTclCommand Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
vtkTclCommand Class Reference

`#include <vtkTclUtil.h>`

Inheritance diagram for vtkTclCommand:
[legend]
Collaboration diagram for vtkTclCommand:
[legend]

## Public Member Functions
void | SetStringCommand (const char *arg)
void | SetInterp (Tcl_Interp *interp)
void | Execute (vtkObject *, unsigned long, void *) override
| All derived classes of vtkCommand must implement this method. More...
Public Member Functions inherited from vtkCommand
| vtkBaseTypeMacro (vtkCommand, vtkObjectBase)
void | UnRegister ()
| Decrease the reference count (release by another object). More...
void | SetAbortFlag (vtkTypeBool f)
| Set/Get the abort flag. More...
vtkTypeBool | GetAbortFlag ()
void | AbortFlagOn ()
void | AbortFlagOff ()
void | SetPassiveObserver (vtkTypeBool f)
| Set/Get the passive observer flag. More...
vtkTypeBool | GetPassiveObserver ()
void | PassiveObserverOn ()
void | PassiveObserverOff ()
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual std::string | GetObjectDescription () const
| The object description printed in messages and PrintSelf output. More...
virtual vtkTypeBool | IsA (const char *name)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintSelf (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTclCommand * | New ()
Static Public Member Functions inherited from vtkCommand
static bool | EventHasData (unsigned long event)
| Does this event type contain vtkEventData. More...
static const char * | GetStringFromEventId (unsigned long event)
| Convenience methods for translating between event names and event ids. More...
static unsigned long | GetEventIdFromString (const char *event)
| Convenience methods for translating between event names and event ids. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Public Attributes
char * | StringCommand
Tcl_Interp * | Interp

## Protected Member Functions
| vtkTclCommand ()
| ~vtkTclCommand () override
Protected Member Functions inherited from vtkCommand
| vtkCommand ()
| ~vtkCommand () override=default
| vtkCommand (const vtkCommand &c)
void | operator= (const vtkCommand &)
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | RegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | ReportReferences (vtkGarbageCollector *)
virtual void | ObjectFinalize ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Public Types inherited from vtkCommand
enum | EventIds { NoEvent = 0 , AnyEvent , DeleteEvent , StartEvent , EndEvent , RenderEvent , ProgressEvent , PickEvent , StartPickEvent , EndPickEvent , AbortCheckEvent , ExitEvent , LeftButtonPressEvent , LeftButtonReleaseEvent , MiddleButtonPressEvent , MiddleButtonReleaseEvent , RightButtonPressEvent , RightButtonReleaseEvent , EnterEvent , LeaveEvent , KeyPressEvent , KeyReleaseEvent , CharEvent , ExposeEvent , ConfigureEvent , TimerEvent , MouseMoveEvent , MouseWheelForwardEvent , MouseWheelBackwardEvent , ActiveCameraEvent , CreateCameraEvent , ResetCameraEvent , ResetCameraClippingRangeEvent , ModifiedEvent , WindowLevelEvent , StartWindowLevelEvent , EndWindowLevelEvent , ResetWindowLevelEvent , SetOutputEvent , ErrorEvent , WarningEvent , StartInteractionEvent , DropFilesEvent , UpdateDropLocationEvent , InteractionEvent , EndInteractionEvent , EnableEvent , DisableEvent , CreateTimerEvent , DestroyTimerEvent , PlacePointEvent , DeletePointEvent , PlaceWidgetEvent , CursorChangedEvent , ExecuteInformationEvent , RenderWindowMessageEvent , WrongTagEvent , StartAnimationCueEvent , ResliceAxesChangedEvent , AnimationCueTickEvent , EndAnimationCueEvent , VolumeMapperRenderEndEvent , VolumeMapperRenderProgressEvent , VolumeMapperRenderStartEvent , VolumeMapperComputeGradientsEndEvent , VolumeMapperComputeGradientsProgressEvent , VolumeMapperComputeGradientsStartEvent , WidgetModifiedEvent , WidgetValueChangedEvent , WidgetActivateEvent , ConnectionCreatedEvent , ConnectionClosedEvent , DomainModifiedEvent , PropertyModifiedEvent , UpdateEvent , RegisterEvent , UnRegisterEvent , UpdateInformationEvent , AnnotationChangedEvent , SelectionChangedEvent , UpdatePropertyEvent , ViewProgressEvent , UpdateDataEvent , CurrentChangedEvent , ComputeVisiblePropBoundsEvent , TDxMotionEvent , TDxButtonPressEvent , TDxButtonReleaseEvent , HoverEvent , LoadStateEvent , SaveStateEvent , StateChangedEvent , WindowMakeCurrentEvent , WindowIsCurrentEvent , WindowFrameEvent , HighlightEvent , WindowSupportsOpenGLEvent , WindowIsDirectEvent , WindowStereoTypeChangedEvent , WindowResizeEvent , UncheckedPropertyModifiedEvent , UpdateShaderEvent , MessageEvent , StartSwipeEvent , SwipeEvent , EndSwipeEvent , StartPinchEvent , PinchEvent , EndPinchEvent , StartRotateEvent , RotateEvent , EndRotateEvent , StartPanEvent , PanEvent , EndPanEvent , TapEvent , LongTapEvent , FourthButtonPressEvent , FourthButtonReleaseEvent , FifthButtonPressEvent , FifthButtonReleaseEvent , Move3DEvent , Button3DEvent , TextEvent , LeftButtonDoubleClickEvent , MiddleButtonDoubleClickEvent , RightButtonDoubleClickEvent , MouseWheelLeftEvent , MouseWheelRightEvent , ViewerMovement3DEvent , Menu3DEvent , NextPose3DEvent , Clip3DEvent , PositionProp3DEvent , Pick3DEvent , Select3DEvent , Elevation3DEvent , UserEvent = 1000 }
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkCommand
vtkTypeBool | AbortFlag
vtkTypeBool | PassiveObserver
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

Definition at line 42 of file vtkTclUtil.h.

## Constructor & Destructor Documentation

## ◆ vtkTclCommand()

vtkTclCommand::vtkTclCommand | ( |  | ) |
| protected

## ◆ ~vtkTclCommand()

vtkTclCommand::~vtkTclCommand | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkTclCommand* vtkTclCommand::New | ( |  | ) |
| inlinestatic

Definition at line 45 of file vtkTclUtil.h.

## ◆ SetStringCommand()

void vtkTclCommand::SetStringCommand | ( | const char * | arg | ) |

## ◆ SetInterp()

void vtkTclCommand::SetInterp | ( | Tcl_Interp * | interp | ) |
| inline

Definition at line 48 of file vtkTclUtil.h.

## ◆ Execute()

void vtkTclCommand::Execute | ( | vtkObject * | caller,
|  | unsigned long | eventId,
|  | void * | callData
| ) |  |
| overridevirtual

All derived classes of vtkCommand must implement this method.

This is the method that actually does the work of the callback. The caller argument is the object invoking the event, the eventId parameter is the id of the event, and callData parameter is data that can be passed into the execute method. (Note: vtkObject::InvokeEvent() takes two parameters: the event id (or name) and call data. Typically call data is nullptr, but the user can package data and pass it this way. Alternatively, a derived class of vtkCommand can be used to pass data.)

Implements vtkCommand.

## Member Data Documentation

## ◆ StringCommand

char* vtkTclCommand::StringCommand

Definition at line 52 of file vtkTclUtil.h.

## ◆ Interp

Tcl_Interp* vtkTclCommand::Interp

Definition at line 53 of file vtkTclUtil.h.

The documentation for this class was generated from the following file:

- Rendering/Tk/vtkTclUtil.h